{
  "openapi": "3.1.0",
  "info": {
    "title": "Icypeas API",
    "version": "1.16.0",
    "description": "Icypeas API documentation. Find and verify professional email addresses, scan domains, scrape profiles and companies and search a B2B lead database, with or without code.\n\nSearches are asynchronous: start one, then read its result with `POST /bulk-single-searchs/read` or receive it on a webhook. Human-friendly docs: https://api-doc.icypeas.com",
    "contact": {
      "name": "Icypeas support",
      "email": "support@icypeas.com",
      "url": "https://api-doc.icypeas.com/support"
    }
  },
  "externalDocs": {
    "url": "https://api-doc.icypeas.com",
    "description": "Icypeas API documentation"
  },
  "servers": [
    {
      "url": "https://app.icypeas.com/api"
    }
  ],
  "security": [
    {
      "apiKey": []
    }
  ],
  "tags": [
    {
      "name": "Results",
      "externalDocs": {
        "url": "https://api-doc.icypeas.com/reference/get-results"
      }
    },
    {
      "name": "Emails",
      "externalDocs": {
        "url": "https://api-doc.icypeas.com/reference/email-verification"
      }
    },
    {
      "name": "Lead database",
      "externalDocs": {
        "url": "https://api-doc.icypeas.com/reference/find-people"
      }
    },
    {
      "name": "Profiles & companies",
      "externalDocs": {
        "url": "https://api-doc.icypeas.com/reference/scrape-profile"
      }
    },
    {
      "name": "Account",
      "externalDocs": {
        "url": "https://api-doc.icypeas.com/reference/subscription"
      }
    }
  ],
  "paths": {
    "/search-files/read": {
      "post": {
        "operationId": "bulkSearchProgress",
        "summary": "Bulk search progress",
        "tags": [
          "Results"
        ],
        "externalDocs": {
          "url": "https://api-doc.icypeas.com/reference/bulk-files",
          "description": "Documentation: Bulk search progress and stats"
        },
        "description": "Get all your bulk searches.",
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "limit": {
                    "type": "number",
                    "description": "Limit of files to fetch. Rule: default value is 10, max value is 50."
                  },
                  "file": {
                    "type": "string",
                    "description": "If you want to get a specifc bulk, please use this field with your file id"
                  },
                  "status": {
                    "type": "string",
                    "description": "If you want to fetch only bulk searches that are in progress or that are done Rule: has to be either 'in_progress' or 'done'."
                  },
                  "next": {
                    "type": "boolean",
                    "description": "If you want to paginate, use this field. true = next page | false = previous page"
                  },
                  "sorts": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "creationDate": {
                          "type": "number",
                          "description": "I don't know what to write here.  "
                        }
                      },
                      "required": [
                        "creationDate"
                      ]
                    },
                    "description": "Array used to paginate your files, it is this item you need to pass in your requests if you want to paginate further"
                  }
                }
              },
              "examples": {
                "bulk-search-progress-1": {
                  "summary": "Bulk search progress",
                  "value": {
                    "limit": 2
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Response when your input is good. / Response when there are validation errors.",
            "content": {
              "application/json": {
                "schema": {
                  "oneOf": [
                    {
                      "type": "object",
                      "properties": {
                        "success": {
                          "type": "boolean",
                          "description": "This field lets you know if your request was successful"
                        },
                        "files": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "file": {
                                "type": "string",
                                "description": "Unique ID of your file"
                              },
                              "system": {
                                "type": "object",
                                "properties": {
                                  "createdAt": {
                                    "type": "string",
                                    "description": "ISO String Date representing the creation date of the search."
                                  },
                                  "modifiedAt": {
                                    "type": "string",
                                    "description": "ISO String Date representing the last modification date of the search."
                                  }
                                },
                                "required": [
                                  "createdAt",
                                  "modifiedAt"
                                ],
                                "description": "Information concerning the search."
                              },
                              "name": {
                                "type": "string",
                                "description": "Name of your file"
                              },
                              "found": {
                                "type": "number",
                                "description": "Number of found items in your bulk search"
                              },
                              "done": {
                                "type": "number",
                                "description": "Number of items that are already processed"
                              },
                              "aborted": {
                                "type": "number",
                                "description": "Number of items that you have cancelled"
                              },
                              "credits-missing": {
                                "type": "number",
                                "description": "Number of items that have been cancelled by the system because you do not have enough credits"
                              },
                              "in-progress": {
                                "type": "number",
                                "description": "Number of items that are currently in progress"
                              },
                              "bad-input": {
                                "type": "number",
                                "description": "Number of items that cannot be analyzed because they are invalid (missing data, ...)"
                              },
                              "total": {
                                "type": "number",
                                "description": "Total number of items in your bulk search"
                              },
                              "finished": {
                                "type": "boolean",
                                "description": "Set to true when the bulk search has been entirely processed"
                              },
                              "task": {
                                "type": "string",
                                "description": "Task for the bulk search (email-verification, domain-search, ...)"
                              },
                              "generationInProgress": {
                                "type": "boolean",
                                "description": "Exposed for internal use only, please do not use"
                              },
                              "exported": {
                                "type": "boolean",
                                "description": "Exposed for internal use only, please do not use"
                              }
                            },
                            "required": [
                              "file",
                              "system",
                              "name",
                              "found",
                              "done",
                              "aborted",
                              "credits-missing",
                              "in-progress",
                              "bad-input",
                              "total",
                              "finished",
                              "task",
                              "generationInProgress",
                              "exported"
                            ]
                          },
                          "description": "Array of your files"
                        },
                        "sorts": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "creationDate": {
                                "type": "number",
                                "description": "Unix timestamp"
                              }
                            },
                            "required": [
                              "creationDate"
                            ]
                          },
                          "description": "Array used to paginate your files, it is this item you need to pass in your requests if you want to paginate further"
                        },
                        "total": {
                          "type": "number",
                          "description": "Total number of bulk searches"
                        }
                      },
                      "required": [
                        "success",
                        "files",
                        "total"
                      ]
                    },
                    {
                      "type": "object",
                      "description": "Returned with HTTP 200 when the request body is invalid. See the `validationErrors` array for every problem.",
                      "properties": {
                        "success": {
                          "type": "boolean",
                          "const": false
                        },
                        "validationErrors": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "expected": {
                                "description": "What the API expected (for example `string`)."
                              },
                              "actual": {
                                "description": "The value that was received."
                              },
                              "type": {
                                "type": "string",
                                "description": "Validation error type, for example `required`."
                              },
                              "field": {
                                "type": "string",
                                "description": "The field in error."
                              },
                              "message": {
                                "type": "string",
                                "description": "Stable machine-readable code, for example `validation_required`."
                              }
                            }
                          }
                        }
                      }
                    }
                  ]
                },
                "examples": {
                  "success": {
                    "summary": "Response when your input is good.",
                    "value": {
                      "success": true,
                      "files": [
                        {
                          "file": "#FILEID_1#",
                          "system": {
                            "createdAt": "2023-01-01T12:00:00.000Z",
                            "modifiedAt": "2023-01-01T12:00:00.000Z"
                          },
                          "name": "Last File",
                          "found": 250,
                          "done": 300,
                          "aborted": 0,
                          "credits-missing": 0,
                          "in-progress": 0,
                          "bad-input": 0,
                          "total": 300,
                          "generationInProgress": true,
                          "exported": false,
                          "task": "email-verification",
                          "finished": true
                        },
                        {
                          "file": "#FILEID_2#",
                          "system": {
                            "createdAt": "2023-01-01T11:00:00.000Z",
                            "modifiedAt": "2023-01-01T11:00:00.000Z"
                          },
                          "name": "First File",
                          "found": 2500,
                          "done": 2600,
                          "aborted": 0,
                          "bad-input": 50,
                          "in-progress": 350,
                          "credits-missing": 0,
                          "total": 3000,
                          "generationInProgress": false,
                          "exported": false,
                          "task": "email-search",
                          "finished": false
                        }
                      ],
                      "total": 10,
                      "sorts": [
                        [
                          1678195083294
                        ],
                        [
                          1678194871170
                        ]
                      ]
                    }
                  },
                  "validationError": {
                    "summary": "Response when there are validation errors.",
                    "value": {
                      "validationErrors": [
                        {
                          "expected": "string",
                          "type": "required",
                          "field": "user",
                          "message": "validation_required"
                        }
                      ],
                      "success": false
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "Response when we could not authenticate you.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "message": {
                      "type": "string",
                      "description": "Human-readable message."
                    },
                    "error": {
                      "type": "string",
                      "description": "Error name"
                    },
                    "status": {
                      "type": "number",
                      "description": "HTTP error code"
                    },
                    "code": {
                      "type": "string",
                      "description": "Error code"
                    }
                  },
                  "required": [
                    "message",
                    "error",
                    "status",
                    "code"
                  ]
                },
                "examples": {
                  "success": {
                    "summary": "Response when we could not authenticate you.",
                    "value": {
                      "message": "Unauthorized access.",
                      "error": "UnauthorizedAccessError",
                      "status": 401,
                      "code": "unauthorized_access_error"
                    }
                  }
                }
              }
            }
          },
          "429": {
            "description": "Error received when rate limit is exceeded",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "message": {
                      "type": "string",
                      "description": "Human-readable message."
                    },
                    "error": {
                      "type": "string",
                      "description": "Error name"
                    },
                    "status": {
                      "type": "number",
                      "description": "HTTP error code"
                    },
                    "code": {
                      "type": "string",
                      "description": "Error code"
                    }
                  },
                  "required": [
                    "message",
                    "error",
                    "status",
                    "code"
                  ]
                },
                "examples": {
                  "success": {
                    "summary": "Error received when rate limit is exceeded",
                    "value": {
                      "message": "You have exceeded the max number of requests per minute.",
                      "error": "RateLimitExceededError",
                      "status": 429,
                      "code": "rate_limit_exceeded_error"
                    }
                  }
                }
              }
            }
          }
        }
      }
    },
    "/bulk-search": {
      "post": {
        "operationId": "bulkSearch",
        "summary": "Bulk search",
        "tags": [
          "Emails"
        ],
        "externalDocs": {
          "url": "https://api-doc.icypeas.com/reference/bulk-search",
          "description": "Documentation: Bulk search: find or verify up to 5,000 emails per call"
        },
        "description": "Start a new bulk search from the API.",
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "name": {
                    "type": "string",
                    "description": "Name of the bulk search you are creating."
                  },
                  "task": {
                    "type": "string",
                    "description": "The type of bulk search you want to do. Rule: has to be either 'domain-search', 'email-search' or 'email-verification'."
                  },
                  "data": {
                    "type": "array",
                    "items": {
                      "type": "array",
                      "items": {},
                      "description": "Each row you want to be analyzed. If you are doing an 'email-search' you should have 3 items in each row.In other modes it's only 1 item."
                    },
                    "description": "Emails, prospects or domains you want to analyze."
                  },
                  "custom": {
                    "type": "object",
                    "properties": {
                      "webhookUrlItem": {
                        "type": "string",
                        "format": "uri",
                        "description": "Custom webhook to be called each time a row is processed. It receives the result of that row. See the 'Search item processed' webhook."
                      },
                      "webhookUrlBulkDone": {
                        "type": "string",
                        "format": "uri",
                        "description": "Custom webhook to be called when the whole bulk search is processed. It receives the statistics of the bulk search (and the results if includeResultsInWebhook is true). See the 'Bulk search done' webhook."
                      },
                      "externalIds": {
                        "type": "array",
                        "items": {},
                        "description": "Array of strings. Each id should correspond to each row in your data array. So, if provided, the length of externalIds should match the length of your data array. We do not check for the uniqueness of your IDs, you are responsible of that."
                      },
                      "includeResultsInWebhook": {
                        "type": "boolean",
                        "description": "If provided, we add the results of your search directly in the webhook called at the end of the bulk. Please if your bulk search has more than 1000 items, make sure you have properly configured your webhook and server to accept large POST requests. If not, do not use this option."
                      }
                    },
                    "description": "Custom object for passing custom webhooks and/or custom ids that will be added to each row"
                  }
                },
                "required": [
                  "name",
                  "task",
                  "data"
                ]
              },
              "examples": {
                "bulk-search-1": {
                  "summary": "Bulk search",
                  "value": {
                    "name": "Icypeas Prospects to analyze",
                    "task": "email-search",
                    "data": [
                      [
                        "John",
                        "Doe",
                        "icypeas.com"
                      ],
                      [
                        "John",
                        "Doe",
                        "Icypeas"
                      ]
                    ]
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Response when your input is good. / Response when there are validation errors.",
            "content": {
              "application/json": {
                "schema": {
                  "oneOf": [
                    {
                      "type": "object",
                      "properties": {
                        "success": {
                          "type": "boolean",
                          "description": "This field lets you know if your request was successful"
                        },
                        "status": {
                          "type": "string",
                          "description": "The status of the bulk search."
                        },
                        "file": {
                          "type": "string",
                          "description": "The new file's id."
                        }
                      },
                      "required": [
                        "success",
                        "status",
                        "file"
                      ]
                    },
                    {
                      "type": "object",
                      "description": "Returned with HTTP 200 when the request body is invalid. See the `validationErrors` array for every problem.",
                      "properties": {
                        "success": {
                          "type": "boolean",
                          "const": false
                        },
                        "validationErrors": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "expected": {
                                "description": "What the API expected (for example `string`)."
                              },
                              "actual": {
                                "description": "The value that was received."
                              },
                              "type": {
                                "type": "string",
                                "description": "Validation error type, for example `required`."
                              },
                              "field": {
                                "type": "string",
                                "description": "The field in error."
                              },
                              "message": {
                                "type": "string",
                                "description": "Stable machine-readable code, for example `validation_required`."
                              }
                            }
                          }
                        }
                      }
                    }
                  ]
                },
                "examples": {
                  "success": {
                    "summary": "Response when your input is good.",
                    "value": {
                      "success": true,
                      "status": "in_progress",
                      "file": "#FILEID#"
                    }
                  },
                  "validationError": {
                    "summary": "Response when there are validation errors.",
                    "value": {
                      "validationErrors": [
                        {
                          "expected": "string",
                          "type": "required",
                          "field": "user",
                          "message": "validation_required"
                        }
                      ],
                      "success": false
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "Response when we could not authenticate you.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "message": {
                      "type": "string",
                      "description": "Human-readable message."
                    },
                    "error": {
                      "type": "string",
                      "description": "Error name"
                    },
                    "status": {
                      "type": "number",
                      "description": "HTTP error code"
                    },
                    "code": {
                      "type": "string",
                      "description": "Error code"
                    }
                  },
                  "required": [
                    "message",
                    "error",
                    "status",
                    "code"
                  ]
                },
                "examples": {
                  "success": {
                    "summary": "Response when we could not authenticate you.",
                    "value": {
                      "message": "Unauthorized access.",
                      "error": "UnauthorizedAccessError",
                      "status": 401,
                      "code": "unauthorized_access_error"
                    }
                  }
                }
              }
            }
          },
          "429": {
            "description": "Error received when rate limit is exceeded",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "message": {
                      "type": "string",
                      "description": "Human-readable message."
                    },
                    "error": {
                      "type": "string",
                      "description": "Error name"
                    },
                    "status": {
                      "type": "number",
                      "description": "HTTP error code"
                    },
                    "code": {
                      "type": "string",
                      "description": "Error code"
                    }
                  },
                  "required": [
                    "message",
                    "error",
                    "status",
                    "code"
                  ]
                },
                "examples": {
                  "success": {
                    "summary": "Error received when rate limit is exceeded",
                    "value": {
                      "message": "You have exceeded the max number of requests per minute.",
                      "error": "RateLimitExceededError",
                      "status": 429,
                      "code": "rate_limit_exceeded_error"
                    }
                  }
                }
              }
            }
          }
        }
      }
    },
    "/domain-search": {
      "post": {
        "operationId": "domainSearch",
        "summary": "Domain search",
        "tags": [
          "Emails"
        ],
        "externalDocs": {
          "url": "https://api-doc.icypeas.com/reference/domain-search",
          "description": "Documentation: Domain search: find the role-based emails of a company"
        },
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "domainOrCompany": {
                    "type": "string",
                    "description": "The domain or the company name you want to scan."
                  },
                  "custom": {
                    "type": "object",
                    "properties": {
                      "webhookUrl": {
                        "type": "string",
                        "format": "uri",
                        "description": "A URL Icypeas calls with the result as soon as this search is done. See the 'Search item processed' webhook."
                      },
                      "externalId": {
                        "type": "string",
                        "description": "Your own id for this search (for example a CRM id). It comes back with the result and in webhooks. Icypeas doesn't check that it's unique."
                      }
                    },
                    "description": "Optional settings for this search: a webhook URL and/or your own id."
                  }
                },
                "required": [
                  "domainOrCompany"
                ]
              },
              "examples": {
                "domain-search-1": {
                  "summary": "Domain search",
                  "value": {
                    "domainOrCompany": "icypeas.com"
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Response when your input is good. / Response when there are validation errors",
            "content": {
              "application/json": {
                "schema": {
                  "oneOf": [
                    {
                      "type": "object",
                      "properties": {
                        "success": {
                          "type": "boolean",
                          "description": "true means that your search has been taken into account"
                        },
                        "item": {
                          "type": "object",
                          "properties": {
                            "_id": {
                              "type": "string",
                              "description": "Search id to follow its progression"
                            },
                            "status": {
                              "type": "string",
                              "description": "Status of this search (NONE right after creation). See the Result statuses page."
                            }
                          },
                          "required": [
                            "_id",
                            "status"
                          ],
                          "description": "Information about your search"
                        }
                      },
                      "required": [
                        "success",
                        "item"
                      ]
                    },
                    {
                      "type": "object",
                      "description": "Returned with HTTP 200 when the request body is invalid. See the `validationErrors` array for every problem.",
                      "properties": {
                        "success": {
                          "type": "boolean",
                          "const": false
                        },
                        "validationErrors": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "expected": {
                                "description": "What the API expected (for example `string`)."
                              },
                              "actual": {
                                "description": "The value that was received."
                              },
                              "type": {
                                "type": "string",
                                "description": "Validation error type, for example `required`."
                              },
                              "field": {
                                "type": "string",
                                "description": "The field in error."
                              },
                              "message": {
                                "type": "string",
                                "description": "Stable machine-readable code, for example `validation_required`."
                              }
                            }
                          }
                        }
                      }
                    }
                  ]
                },
                "examples": {
                  "success": {
                    "summary": "Response when your input is good.",
                    "value": {
                      "success": true,
                      "item": {
                        "_id": "#YOUR_SEARCH_ID#",
                        "status": "NONE"
                      }
                    }
                  },
                  "validationError": {
                    "summary": "Response when there are validation errors",
                    "value": {
                      "validationErrors": [
                        {
                          "expected": "string",
                          "type": "required",
                          "field": "domainOrCompany",
                          "message": "validation_required"
                        }
                      ],
                      "success": false
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "Response when we could not authenticate you.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "message": {
                      "type": "string",
                      "description": "Human-readable message."
                    },
                    "error": {
                      "type": "string",
                      "description": "Error name"
                    },
                    "status": {
                      "type": "number",
                      "description": "HTTP error code"
                    },
                    "code": {
                      "type": "string",
                      "description": "Error code"
                    }
                  },
                  "required": [
                    "message",
                    "error",
                    "status",
                    "code"
                  ]
                },
                "examples": {
                  "success": {
                    "summary": "Response when we could not authenticate you.",
                    "value": {
                      "message": "Unauthorized access.",
                      "error": "UnauthorizedAccessError",
                      "status": 401,
                      "code": "unauthorized_access_error"
                    }
                  }
                }
              }
            }
          },
          "429": {
            "description": "Error received when rate limit is exceeded",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "message": {
                      "type": "string",
                      "description": "Human-readable message."
                    },
                    "error": {
                      "type": "string",
                      "description": "Error name"
                    },
                    "status": {
                      "type": "number",
                      "description": "HTTP error code"
                    },
                    "code": {
                      "type": "string",
                      "description": "Error code"
                    }
                  },
                  "required": [
                    "message",
                    "error",
                    "status",
                    "code"
                  ]
                },
                "examples": {
                  "success": {
                    "summary": "Error received when rate limit is exceeded",
                    "value": {
                      "message": "You have exceeded the max number of requests per minute.",
                      "error": "RateLimitExceededError",
                      "status": 429,
                      "code": "rate_limit_exceeded_error"
                    }
                  }
                }
              }
            }
          }
        }
      }
    },
    "/email-search": {
      "post": {
        "operationId": "emailSearch",
        "summary": "Email search",
        "tags": [
          "Emails"
        ],
        "externalDocs": {
          "url": "https://api-doc.icypeas.com/reference/email-search",
          "description": "Documentation: Email search: find a professional email"
        },
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "firstname": {
                    "type": "string",
                    "description": "The firstname of the person you want to find. Rule: can be empty if a lastname is set."
                  },
                  "lastname": {
                    "type": "string",
                    "description": "The lastname of the person you want to find. Rule: can be empty if a firstname is set."
                  },
                  "domainOrCompany": {
                    "type": "string",
                    "description": "The domain or the company name of the person you want to find."
                  },
                  "custom": {
                    "type": "object",
                    "properties": {
                      "webhookUrl": {
                        "type": "string",
                        "format": "uri",
                        "description": "A URL Icypeas calls with the result as soon as this search is done. See the 'Search item processed' webhook."
                      },
                      "externalId": {
                        "type": "string",
                        "description": "Your own id for this search (for example a CRM id). It comes back with the result and in webhooks. Icypeas doesn't check that it's unique."
                      }
                    },
                    "description": "Optional settings for this search: a webhook URL and/or your own id."
                  }
                },
                "required": [
                  "firstname",
                  "lastname",
                  "domainOrCompany"
                ]
              },
              "examples": {
                "email-search-1": {
                  "summary": "Email search",
                  "value": {
                    "firstname": "John",
                    "lastname": "Doe",
                    "domainOrCompany": "icypeas.com"
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Response when your input is good. / Response when there are validation errors.",
            "content": {
              "application/json": {
                "schema": {
                  "oneOf": [
                    {
                      "type": "object",
                      "properties": {
                        "success": {
                          "type": "boolean",
                          "description": "true means that your search has been taken into account"
                        },
                        "item": {
                          "type": "object",
                          "properties": {
                            "_id": {
                              "type": "string",
                              "description": "Search id to follow its progression"
                            },
                            "status": {
                              "type": "string",
                              "description": "Status of this search (NONE right after creation). See the Result statuses page."
                            }
                          },
                          "required": [
                            "_id",
                            "status"
                          ],
                          "description": "Information about your search"
                        }
                      },
                      "required": [
                        "success",
                        "item"
                      ]
                    },
                    {
                      "type": "object",
                      "description": "Returned with HTTP 200 when the request body is invalid. See the `validationErrors` array for every problem.",
                      "properties": {
                        "success": {
                          "type": "boolean",
                          "const": false
                        },
                        "validationErrors": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "expected": {
                                "description": "What the API expected (for example `string`)."
                              },
                              "actual": {
                                "description": "The value that was received."
                              },
                              "type": {
                                "type": "string",
                                "description": "Validation error type, for example `required`."
                              },
                              "field": {
                                "type": "string",
                                "description": "The field in error."
                              },
                              "message": {
                                "type": "string",
                                "description": "Stable machine-readable code, for example `validation_required`."
                              }
                            }
                          }
                        }
                      }
                    }
                  ]
                },
                "examples": {
                  "success": {
                    "summary": "Response when your input is good.",
                    "value": {
                      "success": true,
                      "item": {
                        "_id": "#YOUR_SEARCH_ID#",
                        "status": "NONE"
                      }
                    }
                  },
                  "validationError": {
                    "summary": "Response when there are validation errors.",
                    "value": {
                      "validationErrors": [
                        {
                          "expected": "string",
                          "type": "required",
                          "field": "firstname",
                          "message": "validation_required"
                        },
                        {
                          "expected": "string",
                          "type": "required",
                          "field": "lastname",
                          "message": "validation_required"
                        },
                        {
                          "expected": "string",
                          "type": "required",
                          "field": "domainOrCompany",
                          "message": "validation_required"
                        }
                      ],
                      "success": false
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "Response when we could not authenticate you.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "message": {
                      "type": "string",
                      "description": "Human-readable message."
                    },
                    "error": {
                      "type": "string",
                      "description": "Error name"
                    },
                    "status": {
                      "type": "number",
                      "description": "HTTP error code"
                    },
                    "code": {
                      "type": "string",
                      "description": "Error code"
                    }
                  },
                  "required": [
                    "message",
                    "error",
                    "status",
                    "code"
                  ]
                },
                "examples": {
                  "success": {
                    "summary": "Response when we could not authenticate you.",
                    "value": {
                      "message": "Unauthorized access.",
                      "error": "UnauthorizedAccessError",
                      "status": 401,
                      "code": "unauthorized_access_error"
                    }
                  }
                }
              }
            }
          },
          "429": {
            "description": "Error received when rate limit is exceeded",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "message": {
                      "type": "string",
                      "description": "Human-readable message."
                    },
                    "error": {
                      "type": "string",
                      "description": "Error name"
                    },
                    "status": {
                      "type": "number",
                      "description": "HTTP error code"
                    },
                    "code": {
                      "type": "string",
                      "description": "Error code"
                    }
                  },
                  "required": [
                    "message",
                    "error",
                    "status",
                    "code"
                  ]
                },
                "examples": {
                  "success": {
                    "summary": "Error received when rate limit is exceeded",
                    "value": {
                      "message": "You have exceeded the max number of requests per minute.",
                      "error": "RateLimitExceededError",
                      "status": 429,
                      "code": "rate_limit_exceeded_error"
                    }
                  }
                }
              }
            }
          }
        }
      }
    },
    "/email-verification": {
      "post": {
        "operationId": "emailVerification",
        "summary": "Email verification",
        "tags": [
          "Emails"
        ],
        "externalDocs": {
          "url": "https://api-doc.icypeas.com/reference/email-verification",
          "description": "Documentation: Email verification: check that an email exists"
        },
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "email": {
                    "type": "string",
                    "description": "The email address you want to verify."
                  },
                  "custom": {
                    "type": "object",
                    "properties": {
                      "webhookUrl": {
                        "type": "string",
                        "format": "uri",
                        "description": "A URL Icypeas calls with the result as soon as this search is done. See the 'Search item processed' webhook."
                      },
                      "externalId": {
                        "type": "string",
                        "description": "Your own id for this search (for example a CRM id). It comes back with the result and in webhooks. Icypeas doesn't check that it's unique."
                      }
                    },
                    "description": "Optional settings for this search: a webhook URL and/or your own id."
                  }
                },
                "required": [
                  "email"
                ]
              },
              "examples": {
                "email-verification-1": {
                  "summary": "Email verification",
                  "value": {
                    "email": "example-email@icypeas.com"
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Response when your input is good. / Response when there are validation errors",
            "content": {
              "application/json": {
                "schema": {
                  "oneOf": [
                    {
                      "type": "object",
                      "properties": {
                        "success": {
                          "type": "boolean",
                          "description": "true means that your search has been taken into account"
                        },
                        "item": {
                          "type": "object",
                          "properties": {
                            "_id": {
                              "type": "string",
                              "description": "Search id to follow its progression"
                            },
                            "status": {
                              "type": "string",
                              "description": "Status of this search (NONE right after creation). See the Result statuses page."
                            }
                          },
                          "required": [
                            "_id",
                            "status"
                          ],
                          "description": "Information about your search"
                        }
                      },
                      "required": [
                        "success",
                        "item"
                      ]
                    },
                    {
                      "type": "object",
                      "description": "Returned with HTTP 200 when the request body is invalid. See the `validationErrors` array for every problem.",
                      "properties": {
                        "success": {
                          "type": "boolean",
                          "const": false
                        },
                        "validationErrors": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "expected": {
                                "description": "What the API expected (for example `string`)."
                              },
                              "actual": {
                                "description": "The value that was received."
                              },
                              "type": {
                                "type": "string",
                                "description": "Validation error type, for example `required`."
                              },
                              "field": {
                                "type": "string",
                                "description": "The field in error."
                              },
                              "message": {
                                "type": "string",
                                "description": "Stable machine-readable code, for example `validation_required`."
                              }
                            }
                          }
                        }
                      }
                    }
                  ]
                },
                "examples": {
                  "success": {
                    "summary": "Response when your input is good.",
                    "value": {
                      "success": true,
                      "item": {
                        "_id": "#YOUR_SEARCH_ID#",
                        "status": "NONE"
                      }
                    }
                  },
                  "validationError": {
                    "summary": "Response when there are validation errors",
                    "value": {
                      "validationErrors": [
                        {
                          "expected": "email",
                          "type": "required",
                          "field": "email",
                          "message": "validation_required"
                        }
                      ],
                      "success": false
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "Response when we could not authenticate you.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "message": {
                      "type": "string",
                      "description": "Human-readable message."
                    },
                    "error": {
                      "type": "string",
                      "description": "Error name"
                    },
                    "status": {
                      "type": "number",
                      "description": "HTTP error code"
                    },
                    "code": {
                      "type": "string",
                      "description": "Error code"
                    }
                  },
                  "required": [
                    "message",
                    "error",
                    "status",
                    "code"
                  ]
                },
                "examples": {
                  "success": {
                    "summary": "Response when we could not authenticate you.",
                    "value": {
                      "message": "Unauthorized access.",
                      "error": "UnauthorizedAccessError",
                      "status": 401,
                      "code": "unauthorized_access_error"
                    }
                  }
                }
              }
            }
          },
          "429": {
            "description": "Error received when rate limit is exceeded",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "message": {
                      "type": "string",
                      "description": "Human-readable message."
                    },
                    "error": {
                      "type": "string",
                      "description": "Error name"
                    },
                    "status": {
                      "type": "number",
                      "description": "HTTP error code"
                    },
                    "code": {
                      "type": "string",
                      "description": "Error code"
                    }
                  },
                  "required": [
                    "message",
                    "error",
                    "status",
                    "code"
                  ]
                },
                "examples": {
                  "success": {
                    "summary": "Error received when rate limit is exceeded",
                    "value": {
                      "message": "You have exceeded the max number of requests per minute.",
                      "error": "RateLimitExceededError",
                      "status": 429,
                      "code": "rate_limit_exceeded_error"
                    }
                  }
                }
              }
            }
          }
        }
      }
    },
    "/find-companies/count": {
      "post": {
        "operationId": "countMatchingCompaniesFree",
        "summary": "Count matching companies (free)",
        "tags": [
          "Lead database"
        ],
        "externalDocs": {
          "url": "https://api-doc.icypeas.com/reference/find-companies",
          "description": "Documentation: Find companies: search the B2B company database"
        },
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "query": {
                    "type": "object",
                    "properties": {},
                    "description": "The query Rule: should be a valid query (see available fields above)."
                  }
                },
                "required": [
                  "query"
                ]
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Response when they are no errors / Response when there are validation errors.",
            "content": {
              "application/json": {
                "schema": {
                  "oneOf": [
                    {
                      "type": "object",
                      "properties": {
                        "success": {
                          "type": "boolean",
                          "description": "true means that your search succeeded (no error was raised on our side)"
                        },
                        "total": {
                          "type": "number",
                          "description": "The number of companies "
                        }
                      },
                      "required": [
                        "success",
                        "total"
                      ]
                    },
                    {
                      "type": "object",
                      "description": "Returned with HTTP 200 when the request body is invalid. See the `validationErrors` array for every problem.",
                      "properties": {
                        "success": {
                          "type": "boolean",
                          "const": false
                        },
                        "validationErrors": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "expected": {
                                "description": "What the API expected (for example `string`)."
                              },
                              "actual": {
                                "description": "The value that was received."
                              },
                              "type": {
                                "type": "string",
                                "description": "Validation error type, for example `required`."
                              },
                              "field": {
                                "type": "string",
                                "description": "The field in error."
                              },
                              "message": {
                                "type": "string",
                                "description": "Stable machine-readable code, for example `validation_required`."
                              }
                            }
                          }
                        }
                      }
                    }
                  ]
                },
                "examples": {
                  "success": {
                    "summary": "Response when they are no errors",
                    "value": {
                      "success": true,
                      "total": 10
                    }
                  },
                  "validationError": {
                    "summary": "Response when there are validation errors.",
                    "value": {
                      "validationErrors": [
                        {
                          "expected": "object with props defined in the schema",
                          "type": "objectStrict",
                          "actual": {
                            "x": 10
                          },
                          "field": "query.headcount",
                          "message": "The object 'query.headcount' contains forbidden keys."
                        }
                      ],
                      "success": false
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "Response when we could not authenticate you.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "message": {
                      "type": "string",
                      "description": "Human-readable message."
                    },
                    "error": {
                      "type": "string",
                      "description": "Error name"
                    },
                    "status": {
                      "type": "number",
                      "description": "HTTP error code"
                    },
                    "code": {
                      "type": "string",
                      "description": "Error code"
                    }
                  },
                  "required": [
                    "message",
                    "error",
                    "status",
                    "code"
                  ]
                },
                "examples": {
                  "success": {
                    "summary": "Response when we could not authenticate you.",
                    "value": {
                      "message": "Unauthorized access.",
                      "error": "UnauthorizedAccessError",
                      "status": 401,
                      "code": "unauthorized_access_error"
                    }
                  }
                }
              }
            }
          },
          "429": {
            "description": "Error received when rate limit is exceeded",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "message": {
                      "type": "string",
                      "description": "Human-readable message."
                    },
                    "error": {
                      "type": "string",
                      "description": "Error name"
                    },
                    "status": {
                      "type": "number",
                      "description": "HTTP error code"
                    },
                    "code": {
                      "type": "string",
                      "description": "Error code"
                    }
                  },
                  "required": [
                    "message",
                    "error",
                    "status",
                    "code"
                  ]
                },
                "examples": {
                  "success": {
                    "summary": "Error received when rate limit is exceeded",
                    "value": {
                      "message": "You have exceeded the max number of requests per minute.",
                      "error": "RateLimitExceededError",
                      "status": 429,
                      "code": "rate_limit_exceeded_error"
                    }
                  }
                }
              }
            }
          }
        }
      }
    },
    "/find-companies": {
      "post": {
        "operationId": "fetchMatchingCompanies",
        "summary": "Fetch matching companies",
        "tags": [
          "Lead database"
        ],
        "externalDocs": {
          "url": "https://api-doc.icypeas.com/reference/find-companies",
          "description": "Documentation: Find companies: search the B2B company database"
        },
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "query": {
                    "type": "object",
                    "properties": {},
                    "description": "The query Rule: should be a valid query (see available fields above)."
                  },
                  "pagination": {
                    "type": "object",
                    "properties": {
                      "token": {
                        "type": "string",
                        "description": "The token returned with the previous page. Valid 15 minutes; each response returns a new token with a new 15-minute validity. Rule: should be a valid pagination token."
                      },
                      "size": {
                        "type": "number",
                        "description": "The number of companies returned per page Rule: should be a valid integer between 1 and 200.",
                        "default": "100"
                      }
                    },
                    "required": [
                      "token"
                    ],
                    "description": "This is optional and used only if you want to retrieve more companies than the first page. Rule: should be a valid pagination object."
                  }
                },
                "required": [
                  "query"
                ]
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Response when no errors are sent / Response when there are validation errors.",
            "content": {
              "application/json": {
                "schema": {
                  "oneOf": [
                    {
                      "type": "object",
                      "properties": {
                        "success": {
                          "type": "boolean",
                          "description": "true means that your search succeeded (no error was raised on our side)"
                        },
                        "total": {
                          "type": "number",
                          "description": "The number of companies"
                        },
                        "pagination": {
                          "type": "object",
                          "properties": {
                            "token": {
                              "type": "string",
                              "description": "Token to request the next page. Valid 15 minutes from this response: request the next page before it expires."
                            },
                            "size": {
                              "type": "number",
                              "description": "The number of companies returned per page",
                              "default": "100"
                            }
                          },
                          "required": [
                            "token"
                          ],
                          "description": "This is used if you want to retrieve more companies than the first page."
                        },
                        "leads": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "_id": {
                                "type": "string",
                                "description": "Icypeas unique identifier."
                              },
                              "name": {
                                "type": "string",
                                "description": "Company name"
                              },
                              "url": {
                                "type": "string",
                                "description": "LinkedIn company URL."
                              },
                              "urn": {
                                "type": "string",
                                "description": "LinkedIn company URN."
                              },
                              "website": {
                                "type": "string",
                                "description": "Company website"
                              },
                              "phone": {
                                "type": "string",
                                "description": "Main phone number given by the company (unnormalized, we keep what was given)"
                              },
                              "industry": {
                                "type": "string",
                                "description": "Company industry"
                              },
                              "foundedYear": {
                                "type": "number",
                                "description": "Company founded year (-1 when not known)"
                              },
                              "specialties": {
                                "type": "array",
                                "items": {
                                  "type": "object",
                                  "properties": {
                                    "value": {
                                      "type": "string",
                                      "description": "Data value."
                                    }
                                  },
                                  "required": [
                                    "value"
                                  ]
                                },
                                "description": "Company specialties"
                              },
                              "lid": {
                                "type": "string",
                                "description": "LinkedIn ID (the `my-linkedin-id` in https://linkedin.com/company/my-linkedin-id)."
                              },
                              "description": {
                                "type": "string",
                                "description": "Company description."
                              },
                              "pictureUrl": {
                                "type": "string",
                                "description": "Company image URL."
                              },
                              "type": {
                                "type": "string",
                                "description": "Company legal form (LLC, SAS, SARL, GmbH, ...)"
                              },
                              "address": {
                                "type": "string",
                                "description": "Company headquarters address"
                              },
                              "numberOfEmployees": {
                                "type": "number",
                                "description": "Number of employees (-1 when not known)."
                              },
                              "headcountRange": {
                                "type": "string",
                                "description": "Declarative headcount range (e.g. 1-10 or 50-100)"
                              },
                              "estimatedRevenuRange": {
                                "type": "object",
                                "properties": {
                                  "estimatedMaxRevenue": {
                                    "type": "object",
                                    "properties": {
                                      "amount": {
                                        "type": "number",
                                        "description": "Amount"
                                      },
                                      "unit": {
                                        "type": "string",
                                        "description": "Amount unit (BILLION, MILLION, THOUSAND, ...)"
                                      },
                                      "currency": {
                                        "type": "string",
                                        "description": "Amount currency (three letters)"
                                      }
                                    },
                                    "required": [
                                      "amount",
                                      "unit",
                                      "currency"
                                    ],
                                    "description": "Estimation of max revenue"
                                  },
                                  "estimatedMinRevenue": {
                                    "type": "object",
                                    "properties": {
                                      "amount": {
                                        "type": "number",
                                        "description": "Amount"
                                      },
                                      "unit": {
                                        "type": "string",
                                        "description": "Amount unit (BILLION, MILLION, THOUSAND, ...)"
                                      },
                                      "currency": {
                                        "type": "string",
                                        "description": "Amount currency (three letters)"
                                      }
                                    },
                                    "required": [
                                      "amount",
                                      "unit",
                                      "currency"
                                    ],
                                    "description": "Estimation of min revenue"
                                  }
                                },
                                "description": "Estimated revenue"
                              },
                              "revenue": {
                                "type": "object",
                                "properties": {
                                  "amount": {
                                    "type": "number",
                                    "description": "Amount"
                                  },
                                  "unit": {
                                    "type": "string",
                                    "description": "Amount unit (BILLION, MILLION, THOUSAND, ...)"
                                  },
                                  "currency": {
                                    "type": "string",
                                    "description": "Amount currency (three letters)"
                                  }
                                },
                                "required": [
                                  "amount",
                                  "unit",
                                  "currency"
                                ],
                                "description": "When the revenue is known (because the company has to disclose it, for instance)"
                              },
                              "employeeGrowth": {
                                "type": "array",
                                "items": {
                                  "type": "object",
                                  "properties": {
                                    "growth": {
                                      "type": "object",
                                      "properties": {
                                        "percentage": {
                                          "type": "number",
                                          "description": "Employee growth percentage"
                                        },
                                        "timespan": {
                                          "type": "string",
                                          "description": "Time span (SIX_MONTHS, YEAR, TWO_YEAR, ...)"
                                        }
                                      },
                                      "required": [
                                        "percentage",
                                        "timespan"
                                      ],
                                      "description": "employee growth for a given timespan"
                                    }
                                  },
                                  "required": [
                                    "growth"
                                  ]
                                },
                                "description": "Employee growth over the year"
                              }
                            },
                            "required": [
                              "_id",
                              "name",
                              "url",
                              "urn",
                              "specialties",
                              "lid",
                              "numberOfEmployees"
                            ]
                          },
                          "description": "An array containing the companies information"
                        }
                      },
                      "required": [
                        "success",
                        "total",
                        "leads"
                      ]
                    },
                    {
                      "type": "object",
                      "description": "Returned with HTTP 200 when the request body is invalid. See the `validationErrors` array for every problem.",
                      "properties": {
                        "success": {
                          "type": "boolean",
                          "const": false
                        },
                        "validationErrors": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "expected": {
                                "description": "What the API expected (for example `string`)."
                              },
                              "actual": {
                                "description": "The value that was received."
                              },
                              "type": {
                                "type": "string",
                                "description": "Validation error type, for example `required`."
                              },
                              "field": {
                                "type": "string",
                                "description": "The field in error."
                              },
                              "message": {
                                "type": "string",
                                "description": "Stable machine-readable code, for example `validation_required`."
                              }
                            }
                          }
                        }
                      }
                    }
                  ]
                },
                "examples": {
                  "success": {
                    "summary": "Response when no errors are sent",
                    "value": {
                      "success": true,
                      "total": 845,
                      "leads": [
                        {
                          "name": "Harvard Graduate School of Education",
                          "lid": "hgse",
                          "urn": "urn:li:fs_salesCompany:1653",
                          "url": "https://www.linkedin.com/company/hgse/",
                          "description": "Education touches every aspect of human activity. At the Harvard Graduate School of Education (HGSE), we believe studying and improving the enterprise of education are central to the health and future of society.",
                          "address": "Cambridge, Massachusetts, United States",
                          "numberOfEmployees": 1134,
                          "industry": "Higher Education",
                          "website": "http://www.gse.harvard.edu",
                          "specialties": [],
                          "employeeGrowth": [],
                          "_id": "sMMXT5MBIateb5xQKCCK"
                        },
                        {
                          "name": "Trammell Crow Company",
                          "lid": "trammell-crow-company",
                          "urn": "urn:li:fs_salesCompany:2320",
                          "url": "https://www.linkedin.com/company/trammell-crow-company/",
                          "description": "Trammell Crow Company (TCC) is a global commercial real estate developer and wholly-owned subsidiary of CBRE Group, Inc. (NYSE:CBRE), a Fortune 500 and S&P 500 company headquartered in Dallas. Founded in 1948, TCC has developed or acquired nearly 2,900 buildings valued at $75 billion and over 655 million square feet. As of September 30, 2024, TCC had $19 billion of projects in process and $13.4 billion in its pipeline. With 575 employees throughout the United States and Europe in 27 offices, the company serves users of and investors in office, industrial/logistics, healthcare, life science, data center and mixed-use projects, as well as multi-family residential through its operating subsidiary High Street Residential. For more information visit www.TrammellCrow.com.",
                          "address": "Dallas, Texas, United States",
                          "numberOfEmployees": 989,
                          "industry": "Real Estate",
                          "website": "http://www.trammellcrow.com",
                          "specialties": [],
                          "employeeGrowth": [],
                          "_id": "-sMXT5MBIateb5xQeCIO"
                        }
                      ],
                      "pagination": {
                        "size": 2,
                        "token": "xxxxxx"
                      }
                    }
                  },
                  "validationError": {
                    "summary": "Response when there are validation errors.",
                    "value": {
                      "validationErrors": [
                        {
                          "expected": "object with props defined in the schema",
                          "type": "objectStrict",
                          "actual": {
                            "x": 10
                          },
                          "field": "query.headcount",
                          "message": "The object 'query.headcount' contains forbidden keys."
                        }
                      ],
                      "success": false
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "Response when we could not authenticate you.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "message": {
                      "type": "string",
                      "description": "Human-readable message."
                    },
                    "error": {
                      "type": "string",
                      "description": "Error name"
                    },
                    "status": {
                      "type": "number",
                      "description": "HTTP error code"
                    },
                    "code": {
                      "type": "string",
                      "description": "Error code"
                    }
                  },
                  "required": [
                    "message",
                    "error",
                    "status",
                    "code"
                  ]
                },
                "examples": {
                  "success": {
                    "summary": "Response when we could not authenticate you.",
                    "value": {
                      "message": "Unauthorized access.",
                      "error": "UnauthorizedAccessError",
                      "status": 401,
                      "code": "unauthorized_access_error"
                    }
                  }
                }
              }
            }
          },
          "429": {
            "description": "Error received when rate limit is exceeded",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "message": {
                      "type": "string",
                      "description": "Human-readable message."
                    },
                    "error": {
                      "type": "string",
                      "description": "Error name"
                    },
                    "status": {
                      "type": "number",
                      "description": "HTTP error code"
                    },
                    "code": {
                      "type": "string",
                      "description": "Error code"
                    }
                  },
                  "required": [
                    "message",
                    "error",
                    "status",
                    "code"
                  ]
                },
                "examples": {
                  "success": {
                    "summary": "Error received when rate limit is exceeded",
                    "value": {
                      "message": "You have exceeded the max number of requests per minute.",
                      "error": "RateLimitExceededError",
                      "status": 429,
                      "code": "rate_limit_exceeded_error"
                    }
                  }
                }
              }
            }
          }
        }
      }
    },
    "/url-search/company": {
      "post": {
        "operationId": "findOneCompanyUrl",
        "summary": "Find one company URL",
        "tags": [
          "Profiles & companies"
        ],
        "externalDocs": {
          "url": "https://api-doc.icypeas.com/reference/find-company-url",
          "description": "Documentation: Company URL finder: find a company's page URL"
        },
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "companyOrDomain": {
                    "type": "string",
                    "description": "It should contain either the company name or its domain name (or website)"
                  }
                },
                "required": [
                  "companyOrDomain"
                ]
              },
              "examples": {
                "find-one-company-url-1": {
                  "summary": "Find one company URL",
                  "value": {
                    "companyOrDomain": "nec technologies"
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Response when the company URL is found / Response when the company URL is not found / Response when there are validation errors.",
            "content": {
              "application/json": {
                "schema": {
                  "oneOf": [
                    {
                      "type": "object",
                      "properties": {
                        "success": {
                          "type": "boolean",
                          "description": "true means that your search succeeded (no error was raised on our side)"
                        },
                        "searchId": {
                          "type": "string",
                          "description": "The id of the search item (if you need to fetch the result later using the dedicated route)"
                        },
                        "status": {
                          "type": "string",
                          "description": "FOUND because the company has been found"
                        },
                        "result": {
                          "type": "string",
                          "description": "The company URL"
                        }
                      },
                      "required": [
                        "success",
                        "searchId",
                        "status",
                        "result"
                      ]
                    },
                    {
                      "type": "object",
                      "properties": {
                        "success": {
                          "type": "boolean",
                          "description": "true means that your search succeeded (no error was raised on our side)"
                        },
                        "searchId": {
                          "type": "string",
                          "description": "The id of the search item (if you need to fetch the result later using the dedicated route)"
                        },
                        "status": {
                          "type": "string",
                          "description": "NOT_FOUND because the company was not found"
                        },
                        "result": {
                          "type": "string",
                          "description": "The field is an empty string"
                        }
                      },
                      "required": [
                        "success",
                        "searchId",
                        "status",
                        "result"
                      ]
                    },
                    {
                      "type": "object",
                      "description": "Returned with HTTP 200 when the request body is invalid. See the `validationErrors` array for every problem.",
                      "properties": {
                        "success": {
                          "type": "boolean",
                          "const": false
                        },
                        "validationErrors": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "expected": {
                                "description": "What the API expected (for example `string`)."
                              },
                              "actual": {
                                "description": "The value that was received."
                              },
                              "type": {
                                "type": "string",
                                "description": "Validation error type, for example `required`."
                              },
                              "field": {
                                "type": "string",
                                "description": "The field in error."
                              },
                              "message": {
                                "type": "string",
                                "description": "Stable machine-readable code, for example `validation_required`."
                              }
                            }
                          }
                        }
                      }
                    }
                  ]
                },
                "examples": {
                  "success": {
                    "summary": "Response when the company URL is not found",
                    "value": {
                      "success": true,
                      "searchId": "#YOUR_SEARCH_ID#",
                      "status": "NOT_FOUND",
                      "result": ""
                    }
                  },
                  "validationError": {
                    "summary": "Response when there are validation errors.",
                    "value": {
                      "validationErrors": [
                        {
                          "field": "companyOrDomain",
                          "message": "validation_string_empty",
                          "humanReadableMessage": "The string is empty",
                          "actual": ""
                        }
                      ],
                      "success": false
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "Response when we could not authenticate you.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "message": {
                      "type": "string",
                      "description": "Human-readable message."
                    },
                    "error": {
                      "type": "string",
                      "description": "Error name"
                    },
                    "status": {
                      "type": "number",
                      "description": "HTTP error code"
                    },
                    "code": {
                      "type": "string",
                      "description": "Error code"
                    }
                  },
                  "required": [
                    "message",
                    "error",
                    "status",
                    "code"
                  ]
                },
                "examples": {
                  "success": {
                    "summary": "Response when we could not authenticate you.",
                    "value": {
                      "message": "Unauthorized access.",
                      "error": "UnauthorizedAccessError",
                      "status": 401,
                      "code": "unauthorized_access_error"
                    }
                  }
                }
              }
            }
          },
          "429": {
            "description": "Error received when rate limit is exceeded",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "message": {
                      "type": "string",
                      "description": "Human-readable message."
                    },
                    "error": {
                      "type": "string",
                      "description": "Error name"
                    },
                    "status": {
                      "type": "number",
                      "description": "HTTP error code"
                    },
                    "code": {
                      "type": "string",
                      "description": "Error code"
                    }
                  },
                  "required": [
                    "message",
                    "error",
                    "status",
                    "code"
                  ]
                },
                "examples": {
                  "success": {
                    "summary": "Error received when rate limit is exceeded",
                    "value": {
                      "message": "You have exceeded the max number of requests per minute.",
                      "error": "RateLimitExceededError",
                      "status": 429,
                      "code": "rate_limit_exceeded_error"
                    }
                  }
                }
              }
            }
          }
        }
      }
    },
    "/url-search": {
      "post": {
        "operationId": "findUpTo50CompanyUrls",
        "summary": "Find up to 50 company URLs / Find up to 50 profile URLs",
        "tags": [
          "Profiles & companies"
        ],
        "externalDocs": {
          "url": "https://api-doc.icypeas.com/reference/find-company-url",
[...]
